com.ihr.xbrl.mapper.util

## Enum HasReceiveMappingLoadingEvents.LoadingStatus

- java.lang.Object
- - java.lang.Enum<HasReceiveMappingLoadingEvents.LoadingStatus>
  - - com.ihr.xbrl.mapper.util.HasReceiveMappingLoadingEvents.LoadingStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HasReceiveMappingLoadingEvents.LoadingStatus>
  Enclosing interface:
    HasReceiveMappingLoadingEvents

      public static enum HasReceiveMappingLoadingEvents.LoadingStatus
      extends java.lang.Enum<HasReceiveMappingLoadingEvents.LoadingStatus>

  The Enum LoadingStatus.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOADING_RESULT_ERROR_DTSDISCOVERYEXCEPTION` The loading result error dtsdiscoveryexception.
    `LOADING_RESULT_ERROR_OTHEREXCEPTION` The loading result error otherexception.
    `LOADING_RESULT_ERROR_XBRLRUNTIMEEXCEPTION` The loading result error xbrlruntimeexception.
    `LOADING_RESULT_ERROR_XBRLVALIDATIONEXCEPTION` The loading result error xbrlvalidationexception.
    `LOADING_RESULT_SUCCESS` The loading result success.
    `LOADING_RESULT_UNDEFINED` The loading result undefined.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HasReceiveMappingLoadingEvents.LoadingStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HasReceiveMappingLoadingEvents.LoadingStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOADING_RESULT_UNDEFINED

          public static final HasReceiveMappingLoadingEvents.LoadingStatus LOADING_RESULT_UNDEFINED

      The loading result undefined.

    - #### LOADING_RESULT_SUCCESS

          public static final HasReceiveMappingLoadingEvents.LoadingStatus LOADING_RESULT_SUCCESS

      The loading result success.

    - #### LOADING_RESULT_ERROR_XBRLRUNTIMEEXCEPTION

          public static final HasReceiveMappingLoadingEvents.LoadingStatus LOADING_RESULT_ERROR_XBRLRUNTIMEEXCEPTION

      The loading result error xbrlruntimeexception.

    - #### LOADING_RESULT_ERROR_DTSDISCOVERYEXCEPTION

          public static final HasReceiveMappingLoadingEvents.LoadingStatus LOADING_RESULT_ERROR_DTSDISCOVERYEXCEPTION

      The loading result error dtsdiscoveryexception.

    - #### LOADING_RESULT_ERROR_XBRLVALIDATIONEXCEPTION

          public static final HasReceiveMappingLoadingEvents.LoadingStatus LOADING_RESULT_ERROR_XBRLVALIDATIONEXCEPTION

      The loading result error xbrlvalidationexception.

    - #### LOADING_RESULT_ERROR_OTHEREXCEPTION

          public static final HasReceiveMappingLoadingEvents.LoadingStatus LOADING_RESULT_ERROR_OTHEREXCEPTION

      The loading result error otherexception.

  - ### Method Detail

    - #### values

          public static HasReceiveMappingLoadingEvents.LoadingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HasReceiveMappingLoadingEvents.LoadingStatus c : HasReceiveMappingLoadingEvents.LoadingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HasReceiveMappingLoadingEvents.LoadingStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null